VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Thing"
Attribute VB_Creatable = True
Attribute VB_Exposed = True
Attribute VB_Description = "Thing--Sample OLE Server"
Option Explicit

Public Name As String
Private datCreated As Date
Private vbCrLf As String

Property Get Created() As Date
    Created = datCreated
End Property

Public Sub ReverseName()
    Dim intCt As Integer
    Dim strNew As String
    For intCt = 1 To Len(Name)
        strNew = Mid(Name, intCt, 1) & strNew
    Next intCt
    Name = strNew
End Sub

Private Sub Class_Initialize()
    vbCrLf = Chr$(13) & Chr$(10)
    datCreated = Now
    MsgBox "Name: " & Name & vbCrLf _
        & "Created: " & Created, , "Thing Initialize"
End Sub

Private Sub Class_Terminate()
    MsgBox "Name: " & Me.Name & vbCrLf _
        & "Created: " & Me.Created, , "Thing Terminate"
End Sub

